# ScanbotCroppingWidget class

Inheritance
  - Object
  - DiagnosticableTree
  - Widget
  - StatefulWidget
  - ScanbotCroppingWidget

## Constructors

ScanbotCroppingWidget({Key? key, required Page page, required dynamic onViewReady(CroppingController), Color anchorPointsColor = Colors.red, Color edgeColor = Colors.white, Color edgeColorOnLine = Colors.green, double edgeLineWidth = 5, dynamic onHeavyOperationProcessing(bool)?, Insets? borderInsets})

## Properties

anchorPointsColor → Color
  Color of the cropping rectangle anchor points
  final
borderInsets → Insets?
  Distance from the edge of the widget to the cropped image
  final
edgeColor → Color
  Color of the cropping rectangle lines
  final
edgeColorOnLine → Color
  Color of the cropping rectangle lines when they are snapped in place
  final
edgeLineWidth → double
  Width of the cropping rectangle lines
  final
hashCode → int
  The hash code for this object.
  read-only inherited
key → Key?
  Controls how one widget replaces another widget in the tree.
  final inherited
onHeavyOperationProcessing → (dynamic Function(bool)?)
  Triggers when the plugin takes long to process an operation eg. polygon detection
  final
onViewReady → dynamic Function(CroppingController)
  Triggers when the view is ready
  final
page → Page
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

createElement() → StatefulElement
  Creates a StatefulElement to manage this widget's location in the tree.
  inherited
createState() → _ScanbotCroppingWidgetState
  Creates the mutable state for this widget at a given location in the tree.
  override
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of `DiagnosticsNode` objects describing this node's children.
  inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toDiagnosticsNode({String? name, DiagnosticsTreeStyle? style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep.
  inherited
toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  A string representation of this object.
  inherited
toStringDeep({String prefixLineOne = '', String? prefixOtherLines, DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a string representation of this node and its descendants.
  inherited
toStringShallow({String joiner = ', ', DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a one-line detailed description of the object.
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited